const EntitiesTemplate = (capitalized, singular, plural) => {
	return `
        var ${capitalized} = (function() {
            var ${plural} = [];

            return {
                list: query => {
                    return ${plural};
                },
                create: ${singular} => {
                    return ${singular};
                },
                read: id => {
                    return ${singular};
                },
                update: (id, ${singular}) => {
                    return ${singular};
                },
                delete: id => {
                    return ${singular};
                }
            };
        })();

        module.exports = ${capitalized};
    `;
};

module.exports = EntitiesTemplate;
