const _ = require('lodash');
const pluralize = require('pluralize');

const ReducerPluralTemplate = wordForms => `
    const INITIAL_STATE = null;

    export default (state = INITIAL_STATE, action) => {

        switch (action.type) {
            case 'GET_${wordForms.plural.snakeCase.toUpperCase()}_START':
                state = INITIAL_STATE;
                return state;
            case 'GET_${wordForms.plural.snakeCase.toUpperCase()}_SUCCESS':
                state = [].concat(action.data);
                return state;
            default:
                return state;
        }

    };
`;

module.exports = ReducerPluralTemplate;
