const _ = require('lodash');
const pluralize = require('pluralize');

const DeleteTemplate = wordForms => `
	import React, { Component } from 'react';

	export default class ${wordForms.singular.upperFirst}Delete extends Component {
		render() {
			return (
				<div className="${wordForms.singular.kebabCase}">
					<form>
						<h1>Delete this ${wordForms.singular.upperFirst}?</h1>
						<button type="submit" className="btn btn-default">Delete ${wordForms.singular.upperFirst}</button>
					</form>
				</div>
			);
		}
	}
`;

module.exports = DeleteTemplate;
