const StoreTemplate = () => `
	import { createStore, compose, applyMiddleware } from 'redux';
	import reducers from './reducers';
	import api from './middlewares/api';

	const middlewares = [api];

	const store = createStore(reducers, compose(applyMiddleware(...middlewares)));

	export default store;
`;

module.exports = StoreTemplate;
